Bug 139226 - USB ZIP disk writes are very slow in FC3
USB ZIP disk writes are very slow in FC3
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-11-14 02:33 EST by Dmitri A. Sergatskov
Modified: 2015-01-04 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-07-15 19:02:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
output of "lsusb -v" (1.62 KB, application/octet-stream)
2004-11-14 02:35 EST, Dmitri A. Sergatskov
no flags Details

  None (edit)
Description Dmitri A. Sergatskov 2004-11-14 02:33:08 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
Writing to USB zip disk in FC3 is too slow:

[dima@localhost ~]$ umount /media/usbdisk/
[dima@localhost ~]$ mount /media/usbdisk/
[dima@localhost ~]$ time dd if=/dev/zero of=/media/usbdisk/dima/test1
10000+0 records in
10000+0 records out

real    10m34.079s
user    0m0.067s
sys     0m0.828s
[dima@localhost ~]$ ls -lh /media/usbdisk/dima/
total 5.0M
-rw-rw-r--  1 dima dima 4.9M Nov 13 23:16 test1

This is less then 10kB/sec. It used to be more than 100 in FC2, which
I think is still slower than it should be but at least useable.
Reading seems to be OK:
[dima@localhost ~]$ umount /media/usbdisk/
[dima@localhost ~]$ mount /media/usbdisk/
[dima@localhost ~]$ time dd if=/media/usbdisk/dima/test1 of=/dev/null
10000+0 records in
10000+0 records out

real    0m5.321s
user    0m0.023s
sys     0m0.039s
[dima@localhost ~]$

Disk is new and freashly formatted for ext2.
The performance reproduciable on two differrent computers. 
output of "lsusb -v" is attached. There is no any error messages
neither on the console nor in /var/log/messages.                   

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.mount zip disk
2.copy some file to it

Actual Results:  the copy finishes after looong time

Expected Results:  copy finishes 10 times faster.

Additional info:

The usb is on  ASUS A7V333 m/b with the lates bios (Athlon-XP)
This is also reproducible on Tyan tiger MP s2460 (2XAthlon-MP)
Throughput on ide harddisks seems to be normal.
Comment 1 Dmitri A. Sergatskov 2004-11-14 02:35:41 EST
Created attachment 106662 [details]
output of "lsusb -v"
Comment 2 Dmitri A. Sergatskov 2004-11-22 19:29:31 EST
The problem goes away if I remount zip disk with "async" option:
[dima@localhost ~]$ time dd if=/dev/zero of=/media/usbdisk/dima/test1
count=10000; time sync
10000+0 records in
10000+0 records out

real    0m0.107s
user    0m0.027s
sys     0m0.076s

real    0m6.471s
user    0m0.000s
sys     0m0.008s

Which seems reasonable...
Comment 3 Dave Jones 2005-07-15 16:14:13 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 4 Dmitri A. Sergatskov 2005-07-15 17:27:16 EDT
It looks OK in FC4.

Note You need to log in before you can comment on or make changes to this bug.